Subject: bug#8743: Strange '1; 2600; 0' symbols appear when starting from console

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Oct 2019 03:21:25 +0200

found 8743 27.0.50
quit

HighCat <[email-masked]> writes:

> When open file from console, there are some strange symbols pasted on the cursor position:  "1;2600;0".
>
> This happens accidentally if you type something while emacs still starting.
>
> Easily reproduced when you run Emacs from ssh session on remote server.
> Somewhat harder to do this on local machine — but I managed to reproduce it 1-2 times.
>
> I use:
> Emacs 23.3.1, self-compiled, and also reproduced on older versions (from Ubuntu 10.04 and 10.10 packages).
> GNOME Terminal 2.32.0
> Remote server, when ssh'ing — Ubuntu 10.04.2
>
> There's some duscussion of the problem here: http://groups.google.com/group/gnu.emacs.help/browse_thread/thread/dca1b7286458aaf5
>
> I consider it a bug, as it's embarrassing for me (as end-user of Emacs), when I edit some script on server,
> and later it crashes, because some strange "1;2600;0" in the beginning of file, which I missed.
> Seems like I have a habit to type "C-n" or "C-v" instantly when opening some files, so I got the issue from time to time.

I'm able to reproduce this using gnome-terminal on current master.

To reproduce, start gnome-terminal, emacs -Q -nw, hit return, and hit
any key before it starts.  I see the characters "e65;5402;1c" inserted
in *scratch*.

It's easy to reproduce without running a remote connection, but you
need to be fast on the keys and hit some other key immediately after
return.

I don't see this when running rxvt.

Best regards,
Stefan Kangas